#include <string.h>
#include <errno.h>
#include <sys/printk.h>
#include <zephyr.h>
#include <drivers/gpio.h>
 
#include "blewrap.h"
#include <cstring> 

auto bleWrap = BleWrap::getInstance();
// if we enable the below one, and comment it out in blewrap.h we do not get the service twice

// BT_GATT_SERVICE_DEFINE(tempHuMService,
//                        BT_GATT_PRIMARY_SERVICE(BT_UUID_ESS),
//                        BT_GATT_CHARACTERISTIC(BT_UUID_TEMPERATURE, BT_GATT_CHRC_READ, BT_GATT_PERM_READ, BleWrap::readBytes, NULL, &eveBufferTemperature),
//                        BT_GATT_CHARACTERISTIC(BT_UUID_HUMIDITY, BT_GATT_CHRC_READ, BT_GATT_PERM_READ, BleWrap::readBytes, NULL, &eveBufferhumidity), );

float temp = 0;

int main(void)
{		
	bleWrap->init();
	int delayCount = 0;

	
	while (1) {		
		k_sleep(K_SECONDS(2));	
		delayCount += 1;
	

		if(delayCount > 100){delayCount = 0; temp = 0;}
		temp += 1.11;
		long int a = 1.23;
		printk("temp: %.2f\n",temp);

		memcpy(bufferTemperature, &a, 4); 
		memcpy(bufferhumidity, &delayCount, 4); 
		
	}

	return 0;
}

